* {
	padding:    0;
	margin:     0;
	box-sizing: border-box;
}

.caption {
	padding-top: .5rem;
	padding-bottom: .5rem;
	color: hsl(210, 17%, 44%);
	text-align: left;
	font-size: .875rem;
	line-height: 1rem;
}

body {
	height: 100vh;
	background-image: url("data:image/svg+xml,%3Csvg width='12' height='16' viewBox='0 0 12 16' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M4 .99C4 .445 4.444 0 5 0c.552 0 1 .45 1 .99v4.02C6 5.555 5.556 6 5 6c-.552 0-1-.45-1-.99V.99zm6 8c0-.546.444-.99 1-.99.552 0 1 .45 1 .99v4.02c0 .546-.444.99-1 .99-.552 0-1-.45-1-.99V8.99z' fill='%23bfbfbf' fill-opacity='0.15' fill-rule='evenodd'/%3E%3C/svg%3E");
}

.btn-custom-xs {
	padding: 6px 10px;
}

.bg-custom {
	background-color: var(--main-color) !important;
}

.it-header-wrapper.frontoffice {
	box-shadow: 0 .5rem 1rem rgba(0,0,0,0.35) !important;
}

.it-header-center-wrapper.frontoffice {
	box-shadow: none;
}

.logo.header-logo {
	width: 90px;
	height: 90px;
}

.d-flex-between-center {
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.logo {
	height: 70px;
}

.round-btn-xs {
	padding: 6px;
	border-radius: 50%;
}

.disabled-icon {
	fill: var(--disabled-color) !important;
}

.one_line_ellipsis {
	display:            -webkit-box;
	-webkit-line-clamp: 1;
	-webkit-box-orient: vertical;
	overflow:           hidden;
	text-overflow:      ellipsis;
}

.two_lines_ellipsis {
	display:            -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
	overflow:           hidden;
	text-overflow:      ellipsis;
}

.three_lines_ellipsis {
	display:            -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
	overflow:           hidden;
	text-overflow:      ellipsis;
}

.five_lines_ellipsis {
	display:            -webkit-box;
	-webkit-line-clamp: 5;
	-webkit-box-orient: vertical;
	overflow:           hidden;
	text-overflow:      ellipsis;
}

.avatar.size-custom {
	width: 50px;
	height: 50px;
}

.avatar.size-custom .icon {
	width: 25px;
	height: 25px;
}

.input-group>:not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) {
	border-top-right-radius: 0;
}

.accordion-header .accordion-button {
	padding: 8px 24px;
}

.accordion-custom-link {
	font-size: 1.125rem;
	font-weight: 600;
	padding: 0 24px;
	border-top: 1px solid hsl(210, 4%, 78%);
	width: 100%;
}

.accordion-custom-link .badge {
	text-decoration: none;
}

.accordion.custom-accordion .link-list-wrapper .list-item-title, .link-list-wrapper .link-list-heading {
	font-size: 1rem;
}

.custom-heading {
	line-height: 2rem;
	font-size: 1.25rem;
	font-weight: 600;
}

.it-list-wrapper .it-list a.list-item:hover {
	border-bottom: unset;
}

#folder-list .it-list {
	background-color: var(--folder-list-bg);
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	grid-template-rows: repeat(1, 1fr);
	grid-row-gap: 0px;
	border-radius: 8px;
	border: 1px solid rgb(205, 214, 225);
}

.it-list-wrapper .it-list .list-item {
	border-bottom: 0;
}

#folder-list .it-list li .list-item:hover,
.single-folder.active{
	background-color: var(--folder-list-bg-hover) !important;
	transition: all .2s;
	box-shadow: 0 2px 20px 0 rgba(0, 0, 0, .1);
	text-decoration: none;
	position: relative;
	z-index: 1;
}

#folder-list .it-list li .list-item:hover .icon {
	fill: rgb(0, 76.5, 153) !important;
	transition: all .2s;
}

.cursor-pointer {
	cursor: pointer;
}

span.accordion-custom-link {
	color: var(--bs-it-card-color);
}

#featured-articles-list,
#featured-articles-list li{
	border-color: rgba(153, 91.8, 0, .5) !important;
}

#custom-tables-list,
#custom-tables-list li{
	border-color: rgba(0, 102, 204, .5) !important;
}

#articles-list,
#custom-tables-list,
#featured-articles-list {
	border-radius: 16px;
}

#articles-list li:not(#articles-list li:last-child),
#featured-articles-list li:not(#featured-articles-list li:last-child),
#custom-tables-list li:not(#custom-tables-list li:last-child) {
	border-bottom: 1px solid var(--bs-border-color);
}

#articles-list .list-item:hover,
#featured-articles-list .list-item:hover,
#custom-tables-list .list-item:hover {
	border-radius: 16px;
}

#featured-list-title,
#articles-list-title,
#custom-table-title {
	color: hsl(210,17%,44%);
}

#articles-list .it-card-profile-type {
	font-size: 1rem;
}

.list-item .badge.bg-secondary {
	font-size: 0.75rem;
	margin-right: 20px;
}

.modal-dialog {
	max-width: 50vw;
}

.modal-dialog.no-width {
	max-width: var(--bs-modal-width);
}

.folder-accordion,
.folder-accordion .accordion-button {
	border: none;
}

.folder-accordion .accordion-button:hover {
	text-decoration: none;
}

.folder-accordion .accordion-header .accordion-button:hover span {
	text-decoration: underline;
}

#cup-table-modal .modal-dialog{
	max-width: 100vw;
}

.scroll-container {
	width: 100%;
	max-height: 600px;
	overflow: auto;
	border: 1px solid #ddd;
}

.tabella-opencup {
	width: 100%;
	min-width: 1200px;
	border-collapse: separate;
	border-spacing: 0;
	font-family: sans-serif;
	font-size: 13px;
}

.tabella-opencup thead th {
	position: sticky;
	top: 0;
	z-index: 10;
	background-color: var(--bs-dark);
	color: var(--bs-white);
	text-align: left;
	padding: 12px 8px;
	white-space: nowrap;
}

.tabella-opencup tbody td {
	padding: 15px 8px;
	border-bottom: 1px solid #eee;
	vertical-align: top;
}

.text-right {
	text-align: right;
}

.pinned_icon {
	rotate: 45deg;
}

#custom-table-modal.modal .modal-dialog.modal-dialog-fit-content {
	width: fit-content;
	max-width: 95vw;
	min-width: 80vw;
}

#custom-tables-list .it-right-zone .text,
#featured-articles-list .it-right-zone .text,
#articles-list .it-right-zone .text {
	width: 90%;
}

#custom-tables-list .it-right-zone .text-muted,
#featured-articles-list .it-right-zone .text-muted,
#articles-list .it-right-zone .text-muted {
	width: 10%;
}

@media (max-width: 768px) {
	.logo.header-logo {
		width: 70px;
		height: 70px;
	}

	.modal-dialog {
		max-width: 100vw;
	}

	#custom-tables-list .it-right-zone .text,
	#articles-list .it-right-zone .text {
		width: 84%;
	}

	#custom-tables-list .it-right-zone .text-muted,
	#articles-list .it-right-zone .text-muted{
		width: 16%;
	}
}